Package Details: unix-runescape-client 4.3.5-1

Git Clone URL: https://aur.archlinux.org/unix-runescape-client.git (read-only)
Package Base: unix-runescape-client
Description: RuneScape client for Linux and Unix (RSU-Client,Legacy)
Upstream URL: https://github.com/HikariKnight/rsu-client
Keywords: games runescape
Licenses: GPL2
Conflicts: runescape-client-bin
Submitter: ivan_p
Maintainer: ivan_p
Last Packager: ivan_p
Votes: 30
Popularity: 0.820033
First Submitted: 2012-05-18 13:08
Last Updated: 2016-08-26 15:23

Pinned Comments

ivan_p commented on 2016-03-19 16:17

Announcment!
If you have missed it, the NXT client is available here:
https://aur.archlinux.org/packages/runescape-launcher/

Latest Comments

ivan_p commented on 2016-03-19 16:17

Announcment!
If you have missed it, the NXT client is available here:
https://aur.archlinux.org/packages/runescape-launcher/

fusion809 commented on 2016-03-07 02:28

Hi folks, you might be interested to know that I just set up an Open Build Service repo providing this package and its dependencies as pre-built binaries. They are created using PKGBUILDs like this one provided by the AUR. https://build.opensuse.org/package/show/home:fusion809/unix-runescape-client. To install this binary add this to /etc/pacman.conf:
[home_fusion809_arch_extra_Arch_Extra]
SigLevel = Never
Server = http://download.opensuse.org/repositories/home:/fusion809:/arch_extra/Arch_Extra/$arch
and run this as root:
pacman -Syu
pacman -S home_fusion809_arch_extra_Arch_Extra/unix-runescape-client

brunorozendo commented on 2015-03-30 16:00

@ivan_p
works like a charm.
Thank you

Stif commented on 2015-03-29 22:36

@ivan_p

Thanks, I did it and its works

ivan_p commented on 2015-03-29 21:54

Just remove it from the depends array:
https://wiki.archlinux.org/index.php/PKGBUILD#depends

Stif commented on 2015-03-29 17:24

@ivan_p

Yes, if I can play without problems, I don't need the GUI

How can I install it without perl-wx?

ivan_p commented on 2015-03-29 12:02

@Stif
There is nothing I can do here, the problem is with 'perl-wx' package.
But since it's only needed for GUI, you can meanwhile install this client without it.
It'll work, but you'll have no GUI.

Stif commented on 2015-03-29 01:16

I can't install it because I have a problem with perl-wx

I have this problem with perl-wx

PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01_load.t ........... Failed 5/6 subtests
t/02_inheritance.t .... ok
t/03_event.t .......... ok
t/04_userdata.t ....... ok
t/05_timer.t .......... ok
t/06_loadxpm.t ........ ok
t/07_overload.t ....... ok
t/08_ovl_func.t ....... ok
t/09_create_delete.t .. ok
t/10_oor.t ............ ok
t/11_twostage.t ....... ok
t/12_pod.t ............ skipped: Author tests
t/13_nbksizer.t ....... ok
t/14_eh_die.t ......... ok
t/15_threads.t ........ 01:59:46 PM: Debug: Failed to connect to session manager: SESSION_MANAGER environment variable not defined
t/15_threads.t ........ ok
t/16_stream.t ......... ok
t/17_thread_evt.t ..... ok
t/18_unicode.t ........ Use of the encoding pragma is deprecated at t/18_unicode.t line 8.
t/18_unicode.t ........ ok
t/19_overlay.t ........ ok
t/20_ctx_threads.t .... ok
t/21_locale.t ......... ok
t/22_interface.t ...... ok
t/zz_distrib.t ........ skipped: Author tests

Test Summary Report
-------------------
t/01_load.t (Wstat: 139 Tests: 1 Failed: 0)
Non-zero wait status: 139
Parse errors: Bad plan. You planned 6 tests but ran 1.
t/04_userdata.t (Wstat: 0 Tests: 65 Failed: 0)
TODO passed: 25, 49, 57
Files=23, Tests=784, 8 wallclock secs ( 0.16 usr 0.02 sys + 2.72 cusr 0.25 csys = 3.15 CPU)
Result: FAIL
Failed 1/23 test programs. 0/784 subtests failed.
Makefile:1274: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255
==> ERROR: A failure occurred in check().
Aborting...

:/

ivan_p commented on 2015-03-27 12:49

@brunorozendo
Look at the output of
$ pacman -Qm | grep perl
You'll have to build at least all of this packages again in the same way that you have installed them in the first place:
Using AUR helper or download and rebuild the package from AUR in the usual way.

brunorozendo commented on 2015-03-20 14:40

I am new in arch (or linux), how I rebuild all the local perl packages ?

All comments